* {
    margin: 0;
    padding: 0;
}

body, html {
    overflow: hidden;
}

body, main {
    width: 100%;
    height: 100vh;
}

body {
    display: flex;
    flex-direction: column;
    background-image: url("bck.svg");
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
}

main {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    background-repeat: no-repeat;
    background-size: 130%;
    background-position-x: center;
    background-position-y: bottom;
    padding-bottom: 20px;
}

#main {
    display: grid;
    align-items: center;
    justify-content: center;
    grid-gap: 50px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
}

.case {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: clamp(120px, 12vw, 280px);
    height: clamp(40px, 4vw, 90px);
    background-image: url("trou.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: 2;
}

.case div:first-child {
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    z-index: 2;
}

.case div:nth-child(2) {
    position: relative;
    top: calc(150% - 2.1px);
    background-color: #38B548;
    width: 100%;
    height: 200%;
    z-index: 3;
}

.taupe {
    background-size: contain;
    animation: aprObjet 1s;
    z-index: 2;
    cursor: pointer;
}

.bomb {
    background-size: contain;
    cursor: pointer;
    animation: aprObjet 1s;
}

.explosion {
    background-size: cover;
    animation: explosionAnim 0.7s;
}

#start {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 500px;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
}

#progress {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    width: 0;
    max-width: 500px;
    background-color: green;
    font-size: 30px;
}

#progress svg {
    min-width: 30px;
    min-height: 30px;
    margin: 7px 0 7px 7px;
}

#start svg {
    min-width: 100px;
    min-height: 100px;
}

#start svg:hover {
    opacity: 0.7;
}

#content-users {
    display: none;
}

#start img {
    width: 100px;
    height: 60px;
}

.cursor-pointer {
    cursor: pointer;
}

.taupeTaupé{
    animation: dispObjet 1s;
}

.bombBombé {
    animation: dispObjet 1s;
}

#header h1 {
    font-size: 96px;
    line-height: 1;
    color: #FFFFFF;
    font-family: "Notable", sans-serif;
    font-weight: 400;
    font-style: normal;
    text-shadow: 4px 3px 0 black;
}

.notable {
    font-family: "Notable", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.padding-info h1 {
    color: #FBFCDD;
    -webkit-text-stroke: 2px black;
    font-size: 96px;
    margin-bottom: 16px;
    width: 90%;
}

.padding-info h2 {
    color: #FBFCDD;
    -webkit-text-stroke: 1.5px black;
    font-size: 64px;
    font-weight: 500;
    width: 90%;
}

#information h1, #rules h1 {
    font-size: 56px;
    color: #FBFCDD;
    text-shadow: 4px 3px 0 black;
    -webkit-text-stroke: 2px black;
}

#rules h1 {
    margin-bottom: 19px;
}

#information h1 {
    margin-bottom: 40px;
}

#information h2 {
    font-size: 24px;
    font-weight: normal;
}

.gap-8 {
    display: flex;
    gap: 8px;
}

#header {
    position: absolute;
    width: 100%;
}

#header img {
    width: 60px;
    height: 60px;
}

#best {
    color: #FBFCDD;
    font-weight: 500;
    font-size: 64px;
    -webkit-text-stroke: 1.5px black;
    z-index: 5;
    color: rgb(233, 224, 205);
}

#score{
    font-family: "Fredoka", sans-serif;
    font-optical-sizing: auto;
    font-weight:bold;
    font-style:normal;
    color: wheat;
    font-size: 30px;
    text-shadow: black 0px 3px 0px ;
    z-index: 5;
}

.backgroundButton {
    display: flex;
    background-color: #df6233;
    padding: 7px;
    border-radius: 15px;
    box-shadow: 4px 3px 0 black;
    border: 1px solid black;
    cursor: pointer;
    z-index: 4;
}

.backgroundButton:hover {
    background-color: #E24500;
}

.hidden-default {
    display: none;
}

/* .spaceBetween */
.spaceBetween {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 15px;
    box-sizing: border-box;
}

#header h2 {
    color: white;
    text-align: center;
    margin-top: 1.2em;
}

.fredoka {
  font-family: "Fredoka", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}

.hammer {
    background-image: url("marteau.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    width: 100%;
    height: 400%;
    position: absolute;
    object-fit: cover;
    z-index: 4;
    margin-right: 100%;
    margin-bottom: 70%;

    animation: hammer 0.25s;
}

#info-section {
    display: none;
}

#info-section .card {
    position: relative;
    background-color: #EEB285;
    z-index: 4;
    border-radius: 40px;
    padding-bottom: 20px;
    padding-right: 20px;
    box-shadow: 9px 11px 0 black;
    border: 4px solid black; 
}

#info-section .padding-info {
    padding-right: 40px;
    padding-left: 40px;
}

#info-section .spaceBetween {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
}

.column {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#information {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#padding-section h2 {
    color: white;
    margin-top: 1.2em;
}

.bottom-right {
    position: absolute;
    bottom: 30px;
    right: 30px;
}

.bottom-left {
    position: absolute;
    bottom: 30px;
    left: 30px;
}

.top-right {
    position: absolute;
    top: 30px;
    right: 30px;
}

.center {
    z-index: 6;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
}

#info-section div {
    width: 800px;
}

#padding-section h2, #padding-section h1 {
    width: 90%;
}

.blur {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 0;
}
.row {
    display: flex;
    flex-direction: row;
    text-align: center;
    margin-bottom: 19px;
}

.row div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.row div img {
    width: 100px;
    height: 100px;
}

.row p {
    padding: 10px 20px;
    border-radius: 10px;
    background-color: #FFD74D;
    border: 2px solid black;
    box-shadow: 5px 4px 0 black;
    font-size: 15px;
}

.padding-info-btn {
    width: 50px;
    height: 50px;
}

#rules .backgroundButton {
    display: flex;
    justify-content: center;
    align-items: center;
}

#rules {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#rules .backgroundButton img, #rules .backgroundButton {
    width: 50px;
    height: 50px;
}

/* cache */
.cache{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(225%);
    background-color: #38B548;
    width: 115px;
    height: 100px;
    z-index:3 ;
}
/* .cache2 */
.cache2{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-390%) translateY(71.5%);
    background-color: #38B548;
    width: 115px;
    height: 160px;
    z-index:3 ;
}
/* cache3 */
.cache3{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(267%) translateY(69%);
    background-color: #38B548;
    width: 115px;
    height: 160px;
    z-index:3 ;
}
 
/* taupe11 */
#taupedec1 {
    width: 119px;
    height: 90px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-24%);
    z-index: 3;
 
}
/* taupe1 */
#taupedec1 img{
   animation: aprObjetTP 2s;
}
 
/* taupe22 */
#taupedec2{
    width: 119px;
    height: 90px;
    position: absolute;
    top: 0%;
    left: 0%;
    transform: translateX(-390%) translateY(-162%);
    z-index: 1;
}
 
/* taupe2 */
#taupedec2 img{
    animation: aprObjetT 6s;
}
 
 
/* taupe33 */
#taupedec3{
    width: 119px;
    height: 90px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: 1.5em;
    margin-right: -5em;
    transform: translateX(267%) translateY(-158%);
    z-index: 1;
}
 
/* taupe3 */
#taupedec3 img{
    animation: aprObjetT 5s;
}
/* titre */
.titre {
    position: relative;
    text-align: center;
    animation: bounce 2s ease-in-out infinite;
    z-index: 2;
}
/* titre */
.titre img{
    height: 20em;
    width:  60em;
    margin-top: 2em;
}

/* h2 */
h2 {
    color: white;
    text-align: center;
    margin-top: 1.2em;
    margin-left: 12px;
}

/* bounce */
@keyframes bounce {
    70% { transform:translateY(0%); }
    80% { transform:translateY(-30%); }
    90% { transform:translateY(0%); }
    95% { transform:translateY(-7%); }
    97% { transform:translateY(0%); }
}

/* aprObjetTP */
@keyframes aprObjetTP {
  0% { transform: translateY(44.5%); }
  100% { transform: translateY(0%); }
}
 
/* aprObjetT */
@keyframes aprObjetT {
  0% { transform: translateY(60%); }
  100% { transform: translateY(0%); }
}

@keyframes aprObjet {
  0% { transform: translateY(100%); }
  100% { transform: translateY(0%); }
}
 
@keyframes dispObjet {
  0% { transform: translateY(0%); }
  100% { transform: translateY(100%); }
}

@keyframes hammer {
    0% {
        transform: rotateZ(0deg);
    }

    50% {
        transform: rotateZ(45deg);
    }

    100% {
        transform: rotateZ(0deg);
    }
}

@keyframes explosionAnim{
    0%{
        width: 100px;
        height: 100px;
    }
    50%{
        width: 150px ;
        height: 150px;
    }
    100%
    {
        width: 50px;
        height: 50px;
    }
}